Name: kde-i18n-ru
Version: 3.1.0
Release: alt4

Group: Graphical desktop/KDE
Summary: Russian language support for KDE
License: GPL
Url: http://www.kde.org/
Icon: kde-icon.xpm

Source: kde-i18n-ru-%{version}.tar.bz2
Source1: kde-i18n-ru-ksplashml.po
Source2: kde-i18n-ru-kdmgreet-add.po
Source3: kde-i18n-ru-kcmscreensaver-add.po
Source4: kde-i18n-ru-kppp-add.po
Source5: kde-i18n-ru-desktop_kdebase-add.po

Patch1: kde-i18n-ru-kcmlocale_sign.patch
Patch2: kde-i18n-ru-kppp.patch
Patch3: kde-i18n-ru-kdelibs.patch

Provides: kde-i18n-lang
Provides: kde-i18n-ru3, kde3-i18n-ru
Obsoletes: kde-i18n-ru3, kde3-i18n-ru
Requires: kdelibs
BuildArch: noarch

BuildRequires: libarts-devel kdelibs-devel

%description
Russian language support for KDE.

%prep
%setup -q -n kde-i18n-ru
%patch1 -p1
%patch2 -p1
%patch3 -p1
cat %SOURCE1 >> messages/kdebase/ksplash.po
cat %SOURCE2 >> messages/kdebase/kdmgreet.po
cat %SOURCE3 >> messages/kdebase/kcmscreensaver.po
cat %SOURCE4 >> messages/kdenetwork/kppp.po
cat %SOURCE5 >> messages/kdebase/desktop_kdebase.po

%build
%configure

%make_build

%install
# Dadou - 2.2-0.beta1.1mdk - Workaroud for a buggy Makefile...
rm -f $RPM_BUILD_DIR/%name/docs/kdelibs/api/install-dep.entities

make install DESTDIR=%buildroot

%files
%_docdir/HTML/ru/
#
%dir %_datadir/locale/ru/
%_datadir/locale/ru/charset
%_datadir/locale/ru/*.desktop
%_datadir/locale/ru/*.png
#
#
%dir %_datadir/locale/ru/LC_MESSAGES/
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo

%changelog
* Tue Feb 04 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- release 3.1

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- 3.1rc6

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update from cvs

* Fri Oct 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update from cvs

* Tue Aug 27 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- new version

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version

* Wed Jun 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.0.1-alt3
- Removed requires to locales-ru

* Tue Jun 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt2
- fix Poweroff translation for kdm

* Thu May 23 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Mon May 20 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt5
- update from cvs

* Wed May 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt4
- update from cvs

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- move to /usr

* Mon Apr 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- update from cvs

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- release

* Wed Apr 03 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.2.beta2
- rename package

* Fri Mar 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.1.beta2
- build for ALT

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0beta1

* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
